Bug 1851134 - undefined method `split' for nil:NilClass when viewing the host info with hammer
Summary: undefined method `split' for nil:NilClass when viewing the host info with hammer
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Hosts
Version: 6.5.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: 6.7.2
Assignee: Tomer Brisker
QA Contact: tstrych
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-06-25 16:29 UTC by Mike McCune
Modified: 2020-07-30 20:21 UTC (History)
9 users (show)

Fixed In Version: foreman-1.24.1.24-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1736809
Environment:
Last Closed: 2020-07-30 20:21:13 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 28563 Normal Closed undefined method `split' for nil:NilClass when viewing the host info with hammer 2020-10-27 10:21:43 UTC
Red Hat Knowledge Base (Solution) 4275261 None None None 2020-06-25 16:29:43 UTC
Red Hat Product Errata RHBA-2020:3255 None None None 2020-07-30 20:21:26 UTC

Comment 2 tstrych 2020-07-09 08:14:02 UTC
Verified for sat 6.7.2. Tested same way as in 6.8. 
Tested with package version foreman-1.24.1.24-1.

The process steps:
0. (prerequisite) at least 1 host
1. in database, find the host you going to work with, change type of host interface to nil, (tip is to look at host interface before you do that, so you can change it backwards after you try it) 
2. hammer host info on host used in step 1

Comment 5 errata-xmlrpc 2020-07-30 20:21:13 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:3255


Note You need to log in before you can comment on or make changes to this bug.